# Base module

The baseModule is the parent class of all account modules.
It implements most functions of the module interface and provides the possibility to use meta data for the module functions.
There are also some class variables which are useful for the child classes.

## Meta data

The baseModule allows you to not implement the module interface directly but to provide meta data which is interpreted by the baseModule.
If you do not use certain functions of the interface the baseModule also provides dummy functions. E.g. if your module needs no configuration option you can just skip this function in your code and the baseModule will tell the configuration part that there is no option.
To define meta data you have to implement the function get_metaData(). This function must return a hash array with the meta options as array keys.
Please refer to the module interface for details about the format of meta data.

## Functions

get_scope(): This function returns the account type ("user", "group", ...) of the module.
For a list of meta data functions please refer to the module interface.

## Class variables

$moduleSettings: This variable contains the configuration settings of all modules.
$base: This is the name of the parent accountContainer ($_SESSION[$base]).